Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#367 closed defect (fixed)

correct various bugs in FAT Filesystem implementation

Reported by: thomas.doerfler Owned by: Jennifer Averett
Priority: normal Milestone: 2
Component: fs/fat Version: 4.6
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@…, thomas.doerfler@… Blocked By:
Blocking:

Description

Some bugs were still present in the DOSFS implementation:

  • FAT12 did not work properly on Big-Endian machines
  • Some synchronization and error handling problems were present
  • Some legal codings for EOC were not recognized

Release:
RTEMS-4.6.0pre1

Attachments (1)

libblock_dos.diff (17.7 KB) - added by thomas.doerfler on 12/03/06 at 13:31:12.
libblock_dos.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on 03/01/03 at 16:24:22 by thomas.doerfler

Status: assignedwaiting

comment:2 Changed on 03/25/03 at 16:02:25 by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to head and 4.6 release branch.

Changed on 12/03/06 at 13:31:12 by thomas.doerfler

Attachment: libblock_dos.diff added

libblock_dos.diff

comment:3 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.